var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useEffect, useState } from 'react';
import { isSvg } from 'react-native-svg-component';
import { ImageUtils } from '../Utils/Image';
import { Image } from './Image';
import { Touchable } from './Touchable';
export const FlexImage = (props) => {
    const [state, setState] = useState({
        width: 0,
        height: 0,
        loaded: false,
    });
    const onSizeFetched = (width, height) => {
        console.log(width, height);
        if (width > 0 && height > 0 && props.width > 0 && props.height > 0) {
            const ratio = width / height;
            const containerRatio = props.width / props.height;
            if (props.fill === 'horizontal') {
                setState({
                    width: props.width,
                    height: props.width / ratio,
                    loaded: true
                });
            }
            else if (props.fill === 'vertical') {
                setState({
                    width: props.height * ratio,
                    height: props.height,
                    loaded: true
                });
            }
            else if (props.fill === 'auto') {
                if (ratio > containerRatio) {
                    if (width > props.width) {
                        setState({
                            width: props.width,
                            height: props.width / ratio,
                            loaded: true,
                        });
                    }
                    else {
                        setState({
                            width: width,
                            height: width / ratio,
                            loaded: true,
                        });
                    }
                }
                else {
                    if (height > props.height) {
                        setState({
                            width: props.height * ratio,
                            height: props.height,
                            loaded: true,
                        });
                    }
                    else {
                        setState({
                            width: height * ratio,
                            height: height,
                            loaded: true,
                        });
                    }
                }
            }
            else {
                setState({
                    width: props.width,
                    height: props.height,
                    loaded: true
                });
            }
        }
    };
    const onSizeError = (error) => {
        console.log(`Fetch size failed. Error:${error}`);
    };
    useEffect(() => {
        const uri = props.source.uri;
        if (!isSvg(uri) && (props.fill === 'horizontal' || props.fill === 'vertical' || props.fill === 'auto')) {
            ImageUtils.fetchSize(uri, onSizeFetched, onSizeError);
        }
        else {
            onSizeFetched(props.width, props.height);
        }
    }, [props.source, props.width, props.height, props.fill]);
    const { width, height, onPress, fill } = props, others = __rest(props, ["width", "height", "onPress", "fill"]);
    if (state.loaded) {
        return (React.createElement(Touchable, { style: {
                maxWidth: width,
                maxHeight: height,
                alignContent: 'center',
                alignItems: 'center',
            }, onPress: onPress },
            React.createElement(Image, Object.assign({}, others, { width: state.width, height: state.height, resizeMode: fill === 'horizontal' || fill === 'vertical' || fill === 'auto' ? undefined : fill }))));
    }
    else {
        return null;
    }
};
