var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { View } from 'react-native';
import { useTheme } from '../Hooks/Theme';
import { Text } from './Text';
export const Alert = (props) => {
    const { subtle, content, level, theme, style } = props, others = __rest(props, ["subtle", "content", "level", "theme", "style"]);
    const config = useTheme(theme);
    const color = subtle ? config.color.subtle[level] : config.color.main[level];
    return (React.createElement(View, Object.assign({}, others, { style: [
            config.border.alert,
            config.spacing.alert,
            {
                alignSelf: 'stretch',
                flexDirection: 'row',
                alignContent: 'center',
                alignItems: 'center',
                backgroundColor: color.surface,
                borderColor: color.border,
                shadowColor: color.shadow,
            },
            style
        ] }),
        React.createElement(Text, { variant: level, theme: theme, subtle: subtle, style: [{
                    color: color.contrast,
                    backgroundColor: color.surface,
                    fontSize: 16,
                    lineHeight: 28.8,
                }] }, content)));
};
