var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { useTheme } from '../Hooks/Theme';
export function Container(props) {
    const { component, theme, subtle } = props, others = __rest(props, ["component", "theme", "subtle"]);
    const config = useTheme(theme);
    const color = subtle ? config.color.subtle['primary'] : config.color.main['primary'];
    return React.createElement(component, Object.assign({}, others, { style: [
            config.border.container,
            config.spacing.container,
            {
                color: color.content,
                backgroundColor: color.background,
                borderColor: color.border,
                shadowColor: color.shadow,
            },
            props.style
        ] }));
}
