var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { Linking } from 'react-native';
import { Text } from './Text';
export const Link = (props) => {
    const { url, subtle, theme, style, onPress } = props, others = __rest(props, ["url", "subtle", "theme", "style", "onPress"]);
    const onPressHandler = () => {
        if (onPress) {
            onPress();
        }
        else {
            Linking.canOpenURL(url).then(supported => {
                if (supported) {
                    Linking.openURL(url).catch(console.log);
                }
                else {
                    console.log(`Don\'t know how to open URI: ${url}`);
                }
            }).catch(console.log);
        }
    };
    return (React.createElement(Text, Object.assign({}, others, { subtle: subtle, theme: theme, variant: 'accent', style: [
            style
        ], onPress: onPressHandler })));
};
