import { StyleSheet } from 'react-native';
export const Theme = {
    color: {
        main: {
            primary: {
                content: '#000',
                background: '#fff0',
                surface: '#000',
                contrast: '#fff',
                border: 'rgba(0, 0, 0, .1)',
                shadow: '#000',
            },
            secondary: {
                content: '#737373',
                background: '#fff0',
                surface: '#737373',
                contrast: '#fff',
                border: '#737373',
                shadow: '#737373',
            },
            info: {
                content: '#007bff',
                background: '#fff0',
                surface: '#007bff',
                contrast: '#fff',
                border: '#007bff',
                shadow: '#007bff',
            },
            good: {
                content: '#28a745',
                background: '#fff0',
                surface: '#28a745',
                contrast: '#fff',
                border: '#28a745',
                shadow: '#28a745',
            },
            warn: {
                content: '#ffc107',
                background: '#fff0',
                surface: '#ffc107',
                contrast: '#000',
                border: '#ffc107',
                shadow: '#ffc107',
            },
            danger: {
                content: '#dc3545',
                background: '#fff0',
                surface: '#dc3545',
                contrast: '#fff',
                border: '#dc3545',
                shadow: '#dc3545',
            },
            mark: {
                content: '#000',
                background: '#ffc107',
                surface: '#ffc107',
                contrast: '#000',
                border: '#ffc107',
                shadow: '#ffc107',
            },
            code: {
                content: '#dc3545',
                background: '#fff0',
                surface: '#dc3545',
                contrast: '#fff',
                border: '#dc3545',
                shadow: '#dc3545',
            },
            quote: {
                content: '#0002',
                background: '#fff0',
                surface: '#0002',
                contrast: '#fff',
                border: '#0002',
                shadow: '#0002',
            },
            accent: {
                content: '#0072c6',
                background: '#fff0',
                surface: '#0072c6',
                contrast: '#fff',
                border: '#0072c6',
                shadow: '#0072c6',
            },
            separator: {
                content: '#0002',
                background: '#fff0',
                surface: '#0002',
                contrast: '#000',
                border: '#0002',
                shadow: '#0002',
            },
        },
        subtle: {
            primary: {
                content: '#000',
                background: '#fff0',
                surface: '#000',
                contrast: '#fff',
                border: 'rgba(0, 0, 0, .1)',
                shadow: '#000',
            },
            secondary: {
                content: '#737373',
                background: '#fff0',
                surface: '#737373',
                contrast: '#fff',
                border: '#737373',
                shadow: '#737373',
            },
            info: {
                content: '#007bff',
                background: '#fff0',
                surface: '#007bff',
                contrast: '#fff',
                border: '#007bff',
                shadow: '#007bff',
            },
            good: {
                content: '#28a745',
                background: '#fff0',
                surface: '#28a745',
                contrast: '#fff',
                border: '#28a745',
                shadow: '#28a745',
            },
            warn: {
                content: '#ffc107',
                background: '#fff0',
                surface: '#ffc107',
                contrast: '#000',
                border: '#ffc107',
                shadow: '#ffc107',
            },
            danger: {
                content: '#dc3545',
                background: '#fff0',
                surface: '#dc3545',
                contrast: '#fff',
                border: '#dc3545',
                shadow: '#dc3545',
            },
            mark: {
                content: '#000',
                background: '#ffc107',
                surface: '#ffc107',
                contrast: '#000',
                border: '#ffc107',
                shadow: '#ffc107',
            },
            code: {
                content: '#dc3545',
                background: '#fff0',
                surface: '#dc3545',
                contrast: '#fff',
                border: '#dc3545',
                shadow: '#dc3545',
            },
            quote: {
                content: '#0002',
                background: '#fff0',
                surface: '#0002',
                contrast: '#fff',
                border: '#0002',
                shadow: '#0002',
            },
            accent: {
                content: '#0072c6',
                background: '#fff0',
                surface: '#0072c6',
                contrast: '#fff',
                border: '#0072c6',
                shadow: '#0072c6',
            },
            separator: {
                content: '#0002',
                background: '#fff0',
                surface: '#0002',
                contrast: '#000',
                border: '#0002',
                shadow: '#0002',
            },
        },
    },
    font: {
        header: {
            standard: {
                1: {
                    fontFamily: 'system font',
                    fontSize: 40,
                    fontStyle: 'normal',
                    fontWeight: '500',
                    lineHeight: 48,
                    letterSpacing: 0
                },
                2: {
                    fontFamily: 'system font',
                    fontSize: 32,
                    fontStyle: 'normal',
                    fontWeight: '500',
                    lineHeight: 38.4,
                    letterSpacing: 0
                },
                3: {
                    fontFamily: 'system font',
                    fontSize: 28,
                    fontStyle: 'normal',
                    fontWeight: '500',
                    lineHeight: 33.6,
                    letterSpacing: 0
                },
                4: {
                    fontFamily: 'system font',
                    fontSize: 24,
                    fontStyle: 'normal',
                    fontWeight: '500',
                    lineHeight: 28.8,
                    letterSpacing: 0
                },
                5: {
                    fontFamily: 'system font',
                    fontSize: 20,
                    fontStyle: 'normal',
                    fontWeight: '500',
                    lineHeight: 24,
                    letterSpacing: 0
                },
                6: {
                    fontFamily: 'system font',
                    fontSize: 16,
                    fontStyle: 'normal',
                    fontWeight: '500',
                    lineHeight: 19.2,
                    letterSpacing: 0
                }
            },
            subtitle: {
                1: {
                    fontFamily: 'system font',
                    fontSize: 32,
                    fontStyle: 'normal',
                    fontWeight: '400',
                    lineHeight: 48,
                    letterSpacing: 0
                },
                2: {
                    fontFamily: 'system font',
                    fontSize: 25.6,
                    fontStyle: 'normal',
                    fontWeight: '400',
                    lineHeight: 38.4,
                    letterSpacing: 0
                },
                3: {
                    fontFamily: 'system font',
                    fontSize: 22.4,
                    fontStyle: 'normal',
                    fontWeight: '400',
                    lineHeight: 33.6,
                    letterSpacing: 0
                },
                4: {
                    fontFamily: 'system font',
                    fontSize: 19.2,
                    fontStyle: 'normal',
                    fontWeight: '400',
                    lineHeight: 28.8,
                    letterSpacing: 0
                },
                5: {
                    fontFamily: 'system font',
                    fontSize: 16,
                    fontStyle: 'normal',
                    fontWeight: '400',
                    lineHeight: 24,
                    letterSpacing: 0
                },
                6: {
                    fontFamily: 'system font',
                    fontSize: 12.8,
                    fontStyle: 'normal',
                    fontWeight: '400',
                    lineHeight: 19.2,
                    letterSpacing: 0
                }
            }
        },
        content: {
            primary: {
                fontFamily: 'system font',
                fontSize: 16,
                fontStyle: 'normal',
                fontWeight: '400',
                lineHeight: 24,
                letterSpacing: 0
            },
            secondary: {
                fontFamily: 'system font',
                fontSize: 16,
                fontStyle: 'normal',
                fontWeight: '400',
                lineHeight: 24,
                letterSpacing: 0
            },
            quote: {
                fontFamily: 'system font',
                fontSize: 16,
                fontStyle: 'normal',
                fontWeight: '400',
                lineHeight: 24,
                letterSpacing: 0
            },
            button: {
                fontFamily: 'system font',
                fontSize: 16,
                fontStyle: 'normal',
                fontWeight: '400',
                lineHeight: 24,
                letterSpacing: 0
            }
        }
    },
    border: {
        alert: {
            borderWidth: 1,
            borderRadius: 2,
            borderStyle: 'solid',
            elevation: 2,
            shadowOffset: {
                width: 0,
                height: 0
            },
            shadowRadius: 3,
            shadowOpacity: .08,
        },
        badge: {
            borderWidth: 1,
            borderRadius: 2,
            borderStyle: 'solid',
            elevation: 0,
            shadowOffset: {
                width: 0,
                height: 0
            },
            shadowRadius: 0,
            shadowOpacity: 0,
        },
        bubble: {
            borderWidth: 1,
            borderRadius: 16,
            borderStyle: 'solid',
            elevation: 0,
            shadowOffset: {
                width: 0,
                height: 0
            },
            shadowRadius: 0,
            shadowOpacity: 0,
        },
        button: {
            borderWidth: 1,
            borderRadius: 2,
            borderStyle: 'solid',
            elevation: 0,
            shadowOffset: {
                width: 0,
                height: 0
            },
            shadowRadius: 0,
            shadowOpacity: 0,
        },
        card: {
            borderWidth: StyleSheet.hairlineWidth,
            borderRadius: 2,
            borderStyle: 'solid',
            elevation: 2,
            shadowOffset: {
                width: 0,
                height: 0
            },
            shadowRadius: 3,
            shadowOpacity: .08,
        },
        modal: {
            borderWidth: StyleSheet.hairlineWidth,
            borderRadius: 2,
            borderStyle: 'solid',
            elevation: 2,
            shadowOffset: {
                width: 0,
                height: 0
            },
            shadowRadius: 3,
            shadowOpacity: .08,
        },
        container: {
            borderWidth: 0,
            borderRadius: 0,
            borderStyle: 'solid',
            elevation: 0,
            shadowOffset: {
                width: 0,
                height: 0
            },
            shadowRadius: 0,
            shadowOpacity: 0,
        },
    },
    spacing: {
        alert: {
            marginVertical: 0,
            marginHorizontal: 0,
            paddingVertical: 8,
            paddingHorizontal: 16,
        },
        badge: {
            marginVertical: 0,
            marginHorizontal: 4,
            paddingVertical: 0,
            paddingHorizontal: 4,
        },
        bubble: {
            marginVertical: 8,
            marginHorizontal: 8,
            paddingVertical: 2,
            paddingHorizontal: 8,
        },
        button: {
            marginVertical: 8,
            marginHorizontal: 8,
            paddingVertical: 8,
            paddingHorizontal: 16,
        },
        card: {
            marginVertical: 8,
            marginHorizontal: 8,
            paddingVertical: 8,
            paddingHorizontal: 8,
        },
        modal: {
            marginVertical: 8,
            marginHorizontal: 8,
            paddingVertical: 8,
            paddingHorizontal: 8,
        },
        container: {
            marginVertical: 0,
            marginHorizontal: 0,
            paddingVertical: 0,
            paddingHorizontal: 0,
        },
        text: {
            marginVertical: 0,
            marginHorizontal: 0,
            paddingVertical: 0,
            paddingHorizontal: 0,
        },
    },
};
