import { Image } from 'react-native';
export class ImageUtils {
    static fetchSize(url, onSuccess, onError) {
        if (url && this.cache[url] && onSuccess) {
            onSuccess(this.cache[url].width, this.cache[url].height);
        }
        else {
            Image.getSize(url, (width, height) => {
                this.cache[url] = { width, height };
                if (onSuccess) {
                    onSuccess(width, height);
                }
            }, (error) => {
                if (onError) {
                    onError(error);
                }
            });
        }
    }
}
ImageUtils.cache = {};
