export class ObjectUtils {
    static assign(prev, partial) {
        if (this.isObject(prev) && this.isObject(partial)) {
            return Object.assign({}, prev, partial);
        }
        if (partial !== null && partial !== undefined) {
            return partial;
        }
        return prev;
    }
    static merge(target, source) {
        const result = Object.assign({}, target);
        if (this.isObject(target) && this.isObject(source)) {
            Object.keys(source).forEach(key => {
                const srcProp = source[key];
                const tarProp = target[key];
                if (this.isObject(srcProp)) {
                    if (!(key in target)) {
                        Object.assign(result, { [key]: srcProp });
                    }
                    else {
                        result[key] = this.merge(tarProp, srcProp);
                    }
                }
                else {
                    Object.assign(result, { [key]: srcProp });
                }
            });
        }
        return result;
    }
    static isObject(target) {
        return target !== null && target !== undefined && typeof target === 'object';
    }
}
